vla-plot and vla-put

Discussion in 'AutoCAD' started by MRL, Jun 12, 2004.

  1. MRL

    MRL Guest

    Hello,

    I want to start the plot command via vla-plot
    I've changed for example some settings with vla-put-..., but they will
    not be stored before plotting.
    How can i apply them?

    Martin


    (setq acadDoc (vla-get-ActiveDocument (vlax-get-acad-object)))
    (vlax-invoke-method (vla-get-ActiveLayout acadDoc)'RefreshPlotDeviceInfo)
    (vl-catch-all-apply
    '(lambda ()
    (vla-put-CenterPlot (vla-get-ActiveLayout acadDoc) :vlax-false)
    (vla-put-PaperUnits (vla-get-ActiveLayout acadDoc) acMillimeters)
    (vla-put-PlotHidden (vla-get-ActiveLayout acadDoc) :vlax-false)
    (vla-put-PlotWithPlotStyles (vla-get-ActiveLayout acadDoc) :vlax-true)
    )
    )
    (vla-PlotToDevice (vla-get-Plot acadDoc))
     
    MRL, Jun 12, 2004
    #1
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.